summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-01-28 10:20:37 -0500
committerMichael Sterrett <mr_bones_@gentoo.org>2016-01-28 10:20:54 -0500
commitf44ca653cfef1c75d98d14f9604bcf2870df6b63 (patch)
tree2095355d9ab0dd0947833d0ed564cd45936a2893
parentsys-devel/llvm: work on 3.8.0_rc1 install, bug #573202 (diff)
downloadgentoo-f44ca653cfef1c75d98d14f9604bcf2870df6b63.tar.gz
gentoo-f44ca653cfef1c75d98d14f9604bcf2870df6b63.tar.bz2
gentoo-f44ca653cfef1c75d98d14f9604bcf2870df6b63.zip
games-strategy/freeciv: version bump (bug #573096)
Package-Manager: portage-2.2.26
-rw-r--r--games-strategy/freeciv/Manifest1
-rw-r--r--games-strategy/freeciv/freeciv-2.5.2.ebuild178
2 files changed, 179 insertions, 0 deletions
diff --git a/games-strategy/freeciv/Manifest b/games-strategy/freeciv/Manifest
index 87dc3fdb1b7..65564cd063a 100644
--- a/games-strategy/freeciv/Manifest
+++ b/games-strategy/freeciv/Manifest
@@ -1 +1,2 @@
DIST freeciv-2.5.1.tar.bz2 40686265 SHA256 4e420a9ad91aa7966039ec3b63501725c8261a4ff734d56fe801414fae772696 SHA512 c0f5df3df7bab9ad8e9e7ce75ea90a539ca7e6aafb0af2b57a3d30b095e30f3b093e66bd8b92524e0e19919e0f5d4b822946219bf270e6071102db56290119b8 WHIRLPOOL 1773d56801316afae6ab470b1b1fdf71b42bd42ff0f7ede62b28c5ef7abcd0af36887401937a028b4a9a2e19f994389ef5f63c0395545ebcb367ff2089e2fd55
+DIST freeciv-2.5.2.tar.bz2 40819394 SHA256 2b5665da849c8f95b9225857fc02935140de2d44cd1a112f9cf3086a84d0b5be SHA512 c2cd2123a3c3c86406afaa2607cd86b88b7cfeeb54cc1ab2db3bb79d8c56cea66baca53df32ebf7a697d0d31f1c7d08c3fafed759879633d38717c8d31ec5244 WHIRLPOOL d74c28d770c9fd5c499f2d66ab0485302ee53f2d10903095572529f59f464da6cc82b191d666b042093187805c00361399976a15c759cb61412ef77d06ae9b6d
diff --git a/games-strategy/freeciv/freeciv-2.5.2.ebuild b/games-strategy/freeciv/freeciv-2.5.2.ebuild
new file mode 100644
index 00000000000..4886b797993
--- /dev/null
+++ b/games-strategy/freeciv/freeciv-2.5.2.ebuild
@@ -0,0 +1,178 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnome2-utils games
+
+DESCRIPTION="multiplayer strategy game (Civilization Clone)"
+HOMEPAGE="http://www.freeciv.org/"
+SRC_URI="mirror://sourceforge/freeciv/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="auth aimodules dedicated +gtk ipv6 mapimg modpack mysql nls qt5 readline sdl +server +sound sqlite system-lua"
+
+# postgres isn't yet really supported by upstream
+RDEPEND="app-arch/bzip2
+ app-arch/xz-utils
+ net-misc/curl
+ sys-libs/zlib
+ auth? (
+ mysql? ( virtual/mysql )
+ sqlite? ( dev-db/sqlite:3 )
+ !mysql? ( ( !sqlite? ( virtual/mysql ) ) )
+ )
+ readline? ( sys-libs/readline:0 )
+ dedicated? ( aimodules? ( dev-libs/libltdl:0 ) )
+ !dedicated? (
+ media-libs/libpng:0
+ gtk? ( x11-libs/gtk+:2 )
+ mapimg? ( media-gfx/imagemagick )
+ modpack? ( x11-libs/gtk+:2 )
+ nls? ( virtual/libintl )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ )
+ sdl? (
+ media-libs/libsdl[video]
+ media-libs/sdl-gfx
+ media-libs/sdl-image[png]
+ media-libs/sdl-ttf
+ )
+ server? ( aimodules? ( sys-devel/libtool:2 ) )
+ sound? (
+ media-libs/libsdl[sound]
+ media-libs/sdl-mixer[vorbis]
+ )
+ !sdl? ( !gtk? ( x11-libs/gtk+:2 ) )
+ )
+ system-lua? ( >=dev-lang/lua-5.2 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ !dedicated? (
+ x11-proto/xextproto
+ nls? ( sys-devel/gettext )
+ )"
+
+pkg_setup() {
+ if use !dedicated && use !server ; then
+ ewarn "Disabling server USE flag will make it impossible"
+ ewarn "to start local games, but you will still be able to"
+ ewarn "join multiplayer games."
+ fi
+ games_pkg_setup
+}
+
+src_prepare() {
+
+ # install the .desktop in /usr/share/applications
+ # install the icons in /usr/share/pixmaps
+ sed -i \
+ -e 's:^.*\(desktopfiledir = \).*:\1/usr/share/applications:' \
+ -e 's:^\(icon[0-9]*dir = \)$(prefix)\(.*\):\1/usr\2:' \
+ -e 's:^\(icon[0-9]*dir = \)$(datadir)\(.*\):\1/usr/share\2:' \
+ client/Makefile.in \
+ server/Makefile.in \
+ tools/Makefile.in \
+ data/icons/Makefile.in || die
+ sed -i -e 's/=SDL/=X-SDL/' bootstrap/freeciv-sdl.desktop.in || die
+}
+
+src_configure() {
+ local myclient myopts mydatabase
+
+ if use auth ; then
+ if use !mysql && use !sqlite ; then
+ einfo "No database backend chosen, defaulting"
+ einfo "to mysql!"
+ mydatabase=mysql
+ else
+ use mysql && mydatabase="${mydatabase} mysql"
+ use sqlite && mydatabase="${mydatabase} sqlite3"
+ fi
+ else
+ mydatabase=no
+ fi
+
+ if use dedicated ; then
+ myclient="no"
+ myopts="--enable-server"
+ else
+ if use !sdl && use !gtk && ! use qt5 ; then
+ einfo "No client backend given, defaulting to"
+ einfo "gtk2 client!"
+ myclient="gtk2"
+ else
+ use sdl && myclient+=" sdl"
+ use gtk && myclient+=" gtk2"
+ use qt5 && myclient+=" qt"
+ fi
+ myopts="$(use_enable server) --without-ggz-client"
+ fi
+
+ # disabling shared libs will break aimodules USE flag
+ egamesconf \
+ --docdir="/usr/share/doc/${P}" \
+ --localedir=/usr/share/locale \
+ $(use_enable ipv6) \
+ $(use_enable mapimg) \
+ --enable-aimodules="$(usex aimodules "yes" "no")" \
+ --enable-shared \
+ --enable-fcdb="${mydatabase}" \
+ $(use_enable nls) \
+ $(use_with readline) \
+ $(use_enable sound sdl-mixer) \
+ --enable-fcmp="$(usex modpack "gtk2" "no")" \
+ $(use_enable system-lua sys-lua) \
+ ${myopts} \
+ --enable-client="${myclient}"
+}
+
+src_install() {
+ default
+
+ if use dedicated ; then
+ rm -rf "${D}/usr/share/pixmaps"
+ rm -f "${D}"/usr/share/man/man6/freeciv-{client,gtk2,gtk3,modpack,qt,sdl,xaw}*
+ else
+ if use server ; then
+ # Create and install the html manual. It can't be done for dedicated
+ # servers, because the 'freeciv-manual' tool is then not built. Also
+ # delete freeciv-manual from the GAMES_BINDIR, because it's useless.
+ # Note: to have it localized, it should be ran from _postinst, or
+ # something like that, but then it's a PITA to avoid orphan files...
+ ./tools/freeciv-manual || die
+ dohtml manual*.html
+ fi
+ if use sdl ; then
+ make_desktop_entry freeciv-sdl "Freeciv (SDL)" freeciv-client
+ else
+ rm -f "${D}"/usr/share/man/man6/freeciv-sdl*
+ fi
+ rm -f "${D}"/usr/share/man/man6/freeciv-xaw*
+ fi
+ find "${D}" -name "freeciv-manual*" -delete
+
+ rm -f "${D}$(games_get_libdir)"/*.a
+ prune_libtool_files
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}